import { DeprecatedTableItem } from '../types';
export declare type GetUnitFunction = (value: number, rounded: string | number, pre: string) => string;
export interface FindUnitResult {
    div: number;
    pre: string;
}
export interface FindUnitExpItem {
    exp: number;
    pre: string;
}
export interface FindUnitAdvancedOptions {
    base?: number;
    find?: FindUnitExpItem[];
}
export declare type FindUnitFunction = (value: number) => FindUnitResult;
export declare type DeclarativeFindUnitOption = number | FindUnitExpItem[] | FindUnitAdvancedOptions;
export declare type FindUnitOption = DeclarativeFindUnitOption | FindUnitFunction;
export interface RoundAdvancedOptions {
    dec?: number | string;
    fixed?: boolean;
}
export declare type RoundFunction = (num: number) => (string | number);
export declare type RoundOption = number | RoundAdvancedOptions | RoundFunction;
export declare type FormatOutputFunction = (value: string | number, pre: string, unit: string) => (string | number);
export interface CreateFormatterOptions extends DeprecatedCreateFormatterOptions {
    unit?: string | GetUnitFunction;
    find?: FindUnitOption;
    round?: RoundOption;
    output?: FormatOutputFunction;
}
export declare type FormatFunction = (value: number) => string;
interface DeprecatedCreateFormatterOptions {
    dec?: number | string;
    fixed?: boolean;
    table?: DeprecatedTableItem[];
}
export {};
